local createCompositionMAIN = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/08_street/main/anim/stone/"
---------------------------------------------------------------------------------------
function Loader_08_Zoom_Doctor_Door_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionMAIN,		                'action',		        0,0, 7, 192,256, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionMAIN = function()
	local compositionMAIN = CreateCompositionSequence()
	local compositionDuration = 2
	compositionMAIN:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."solution_stone_doctor_5_july.png")
	element:SetName("Layer_1")
	compositionMAIN:AddElement(element)
	element:SetHotSpot(113, 73)
	element:SetParentElement(compositionMAIN)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 0, 271)
	effector:SetKey(_TRACK_Y, 0, 439)
	effector:SetKey(_TRACK_X, 0.19999186197917, 278.100960582249)
	effector:SetKey(_TRACK_Y, 0.19999186197917, 446.881142866161)
	effector:SetKey(_TRACK_X, 0.30000813802083, 281.375852859619)
	effector:SetKey(_TRACK_Y, 0.30000813802083, 450.925216580495)
	effector:SetKey(_TRACK_X, 0.39998372395833, 284.525924594878)
	effector:SetKey(_TRACK_Y, 0.39998372395833, 454.453153285837)
	effector:SetKey(_TRACK_X, 0.5999755859375, 291.604038180228)
	effector:SetKey(_TRACK_Y, 0.5999755859375, 460.389095599461)
	effector:SetKey(_TRACK_X, 0.60001627604167, 291.605693045227)
	effector:SetKey(_TRACK_Y, 0.60001627604167, 460.390303714213)
	effector:SetKey(_TRACK_X, 0.80000813802083, 300.8761796469)
	effector:SetKey(_TRACK_Y, 0.80000813802083, 466.916168799985)
	effector:SetKey(_TRACK_X, 0.9000244140625, 304.167460297303)
	effector:SetKey(_TRACK_Y, 0.9000244140625, 471.325759236424)
	effector:SetKey(_TRACK_X, 1, 307.406537701464)
	effector:SetKey(_TRACK_Y, 1, 475.785093522669)
	effector:SetKey(_TRACK_X, 1.19999186197917, 315.583882629112)
	effector:SetKey(_TRACK_Y, 1.19999186197917, 483.803903937483)
	effector:SetKey(_TRACK_X, 1.20003255208333, 315.584607573791)
	effector:SetKey(_TRACK_Y, 1.20003255208333, 483.805805472897)
	effector:SetKey(_TRACK_X, 1.39998372395833, 322.979552022482)
	effector:SetKey(_TRACK_Y, 1.39998372395833, 490.460770315606)
	effector:SetKey(_TRACK_X, 1.5, 326)
	effector:SetKey(_TRACK_Y, 1.5, 494)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 1.5, 1.1)
	effector:SetKey(_TRACK_SY, 1.5, 1.1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_doctor_door_ground.png")
	element:SetName("Layer_2")
	compositionMAIN:AddElement(element)
	element:SetHotSpot(124, 66)
	element:SetParentElement(compositionMAIN)
	element:SetXY(260, 446)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionMAIN:Play()
 
	return compositionMAIN
end
 
